Bug 249725 - multimedia/libkate: depends on python 2.x
Summary: multimedia/libkate: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:32 UTC by Steve Wills
Modified: 2020-09-29 02:27 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bar)


Attachments
patch to remove katedj which depends on python2 (3.37 KB, patch)
2020-09-24 17:41 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:32:02 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Steve Wills freebsd_committer 2020-09-24 17:41:42 UTC
Created attachment 218248 [details]
patch to remove katedj which depends on python2
Comment 2 Barbara Guida freebsd_committer 2020-09-25 07:49:15 UTC
I think that in most of - if not all - the install base libkate is only needed because it is required by audio/vorbis-tools (even if the latter has a --without-kate configure option but not a corresponding OPTION - #156580). I don't think anyone is using katedj anymore.
I was in doubt whether to try a python version upgrade but I agree, it doesn't worth it, so removing katedj is the way to go.
Patch approved.
Thanks.
Comment 3 Barbara Guida freebsd_committer 2020-09-25 15:06:29 UTC
Sorry, let me know if you want me to commit it immediately.
Comment 4 commit-hook freebsd_committer 2020-09-29 02:26:58 UTC
A commit references this bug:

Author: swills
Date: Tue Sep 29 02:26:22 UTC 2020
New revision: 550467
URL: https://svnweb.freebsd.org/changeset/ports/550467

Log:
  multimedia/libkate: remove dependency on python 2

  PR:		249725
  Approved by:	bar (maintainer)

Changes:
  head/multimedia/libkate/Makefile
  head/multimedia/libkate/pkg-plist
Comment 5 Steve Wills freebsd_committer 2020-09-29 02:27:43 UTC
Committed, thanks!